cc=~/Downloads/jdk-11.0.2/bin/javac
fxlib=--module-path /home/shockrah/Downloads/javafx-sdk-11.0.2/lib
ctrl=--add-modules javafx.controls
env=~/Downloads/jdk-11.0.2/bin/java

jfiles=HelloFX.java
cfiles=HelloFX

all: $(jfiles)
	$(cc) $(fxlib) $(jfiles) $(ctrl)

run: $(cfile)
	$(env) $(fxlib) $(ctrl) $(cfiles)
	
.PHONY: clean

clean:
	rm -f *class
